//
//  DecorationFragment.glsl
//  Magic Globe
//
//  Created by joeld on 1/20/12.
//  Copyright 2012 Smule. All rights reserved.
//

varying lowp vec4 colorVarying;
varying mediump vec2 stVarying;
varying highp vec3 posVarying;

uniform sampler2D texLabel;

void main()
{
    mediump vec4 labelColor = texture2D( texLabel, stVarying );
        
    gl_FragColor = vec4( labelColor.x * (colorVarying.x * labelColor.a), 
                         labelColor.y * (colorVarying.y * labelColor.a),
                         labelColor.z * (colorVarying.z * labelColor.a),
                         colorVarying.a * labelColor.a);
        
}
