//
//  DecorationVertex.glsl
//  Magic Globe
//
//  Created by joeld on 1/20/12.
//  Copyright 2012 Smule. All rights reserved.
//

attribute vec3 position;
attribute vec2 st;
attribute vec4 color;

varying lowp vec4 colorVarying;
varying mediump vec2 stVarying;
varying highp vec3 posVarying;

uniform mat4 modelViewProjectionMatrix;
//uniform mat3 normalMatrix;

void main()
{
//    vec3 eyeNormal = normalize( position );
    
    vec3 lightPosition = vec3(0.0, 0.0, 1.0);
    vec4 diffuseColor = vec4(0.4, 0.4, 1.0, 1.0);
    
    posVarying = position;
    
    // For lighting, not used currently
//    float nDotVP = abs(dot(eyeNormal, normalize(lightPosition)) );
    
    colorVarying = color;
    stVarying = st;
    
    gl_Position = modelViewProjectionMatrix * vec4( position.x, position.y, position.z, 1.0 );
}
